// Top bar scss

.topbar {
  position: relative;
  z-index: 50;
  background: #F6FBFF;
  height: $topbar-height;
  .search-field-module {
    position: relative;
    background-color: $white;
    border: 1px solid #03ADD2;
    border-radius: 4px;
    -webkit-box-shadow: 0 0 5px rgba(0, 0, 0, 0.1);
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.1);
    width: 100%;
    margin-left: auto;
    margin-right: auto;
  }
    &:focus {
      border-color: $secondary;
    }

    .search-field-select {
      float: left;
      position: relative;
      width: 160px !important;
      height: 50px;
    }
    .search-field-wrap {
      float: left;
      height: 30px;
      width: 100%;

      input {
        font-size: 15px;
        float: left;
        padding: 0 55px 0 30px;
        height: 30px;
        width: 100%;
        border-radius: 4px;
        border: none;
        outline: none !important;
        font-family: $font-family-base;
        font-size: $font-size-sm;
        color: #575757;
      }
      .btn-secondary {
        position: absolute;
        background-color: none;
        background: none;
        outline: none;
        color: #03ADD2;
        box-shadow: none;
        border: none;
        right: 0;
        top: 0;
        bottom: 0;
        height: 100%;
        width: 30px;
        padding: 0;

        i {
          font-size: 15px;
          width: 14px;
          height: 14px;
        }
      }
      .btn-search {
        left: 0;
      }
    }

  .navbar-collapse {
    padding: 0px 10px;
  }

  .topbar .top-navbar .navbarbg{
    background-color: #03ADD2;
  }
  .top-navbar {
    min-height: $topbar-height;
    padding: 0px;
    .dropdown-toggle::after {
      display: none;
    }
    .navbar-header {
      line-height: $topbar-navlink-height;
      .navbar-brand {
        display: flex;
        align-items: center;
        margin: 0px;
        padding: $topbar-navbrand-padding;
        .dark-logo {
          display: none;
        }
        .logo-icon {
          margin-right: 5px;
        }
      }
    }
    .navbar-nav{
      position: relative;
    }
    ul.navbar-nav{
      width: 100%;
    }
    .navbarbg {
      border-radius: 6px;
      margin: 20px 30px 20px 0;
      @extend %topbar-shadow;
    }
    

    .navbar-nav > .nav-item > .nav-link {
      transform: translate(-40px,50px);
      font-size: 15px;
      font-weight: 500;
      height: 35px;
      padding-left: 10px;
      width: 25px;
      background: #fff;
      color: #03ADD2;
      border-radius: 5px;
    }
    .navbar-nav > .nav-item {
      transition: 0.2s ease-in;
      
    }
    .navbar-nav > .nav-item:nth-child(1){
      padding-top: 10px;
      margin: 0 5px;
    }
    .navbar-nav > .nav-item:nth-child(2){
      padding-top: 10px;
      margin: 0 5px;
      
    }
    .navbar-nav > .nav-item:nth-child(3){
      padding-top: 10px;
      margin: 0 5px;
     
    }
  }
  .user-dd,
  .mailbox {
    width: $topbar-mailbox-width;
  }
  .nav-toggler,
  .topbartoggler {
    color: $theme-light;
    padding: 0 15px;
  }
}
#main-wrapper[data-layout='vertical'] {
&[data-sidebar-position='fixed'][data-sidebartype='mini-sidebar'] {
  .navbar-nav > .nav-item > .nav-link{
    transform: translate(-40px, 50px) rotate(180deg);
    padding-left: 5px;
  }
}}

.app-search {
  margin-top: 14px;
  .form-control{
      
      border-radius: 60px;
      border-color: transparent;
      transition: 0.2s ease-in;
      width: 180px;
      &:focus{
          width: 300px;
      }
  }
}

/*******************
Megamenu
******************/
.topbar {
  .mega-dropdown {
    position: static;
    .dropdown-menu {
      padding: 30px;
      @extend %square;
      width: 100%;
      max-height: 480px;
      overflow: auto;
    }
  }
}
/*******************
Designed dropdown
******************/
.topbar {
  .dropdown-menu {
    padding-top: 0px;
    border: 0px;
    box-shadow: 1px 1px 15px rgba(0, 0, 0, 0.1);
    .with-arrow {
      position: absolute;
      height: 10px;
      overflow: hidden;
      width: 40px;
      top: -10px;
      > span {
        @extend %rotate45;
        background-color: $white;
        width: 15px;
        height: 15px;
        top: 3px;
        left: 15px;
        position: absolute;
        content: '';
        -moz-border-radius: 6px 0 0 0;
        border-radius: 6px 0 0 0;
        /*box-shadow:-3px -3px 8px rgba(0, 0, 0, 0.1);    */
      }
    }    
  }
}
/*******************
Topbar Responsive
******************/

@media (max-width: 767px) {
  .topbar .top-navbar {
    .navbar-collapse.show,
    .navbar-collapse.collapsing {
      display: block;
      width: 100%;
      border-top: 1px solid $border-color;
    }
    .navbar-nav {
      flex-direction: row;
      .dropdown {
        position: static;
      }
    }
    .navbar-nav > .nav-item > .nav-link {
      padding: 0 10px;
    }
    .navbar-header {
      display: flex;
      align-items: center;
      width: 100%;
      justify-content: space-between;
    }
    .dropdown-menu {
      position: absolute;
      width: 100%;
    }
  }
  .app-search {
    .form-control{
        width: 180px;
        &:focus{
            width: 180px;
        }
    }
  }
}
